Package org.drinkless.tdlib

# Class TdApi.Call

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Call

Enclosing class:
  `TdApi`

public static class TdApi.Call extends TdApi.Object
Describes a call.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int`
  `id`
  Call identifier, not persistent.
  `boolean`
  `isOutgoing`
  True, if the call is outgoing.
  `boolean`
  `isVideo`
  True, if the call is a video call.
  `TdApi.CallState`
  `state`
  Call state.
  `long`
  `uniqueId`
  Persistent unique call identifier; 0 if isn't assigned yet by the server.
  `long`
  `userId`
  User identifier of the other call participant.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Call()`
  Describes a call.
  `Call(int id, long uniqueId, long userId, boolean isOutgoing, boolean isVideo, TdApi.CallState state)`
  Describes a call.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### id

    public int id
    Call identifier, not persistent.

  - ### uniqueId

    public long uniqueId
    Persistent unique call identifier; 0 if isn't assigned yet by the server.

  - ### userId

    public long userId
    User identifier of the other call participant.

  - ### isOutgoing

    public boolean isOutgoing
    True, if the call is outgoing.

  - ### isVideo

    public boolean isVideo
    True, if the call is a video call.

  - ### state

    public TdApi.CallState state
    Call state.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### Call

    public Call()
    Describes a call.

  - ### Call

    public Call(int id, long uniqueId, long userId, boolean isOutgoing, boolean isVideo, TdApi.CallState state)
    Describes a call.
    Parameters:
      `id` - Call identifier, not persistent.
      `uniqueId` - Persistent unique call identifier; 0 if isn't assigned yet by the server.
      `userId` - User identifier of the other call participant.
      `isOutgoing` - True, if the call is outgoing.
      `isVideo` - True, if the call is a video call.
      `state` - Call state.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR